
#ifndef MENU_H
#define	MENU_H

//****nastavitelne promenne z menu******
unsigned char vykon = 0; // ve watech
unsigned int tc_teplota = 40; // ve °C //40 aby to vypnulo TC kdyz se zapne vape

//************MENU****************
typedef enum
{
    ohm
    ,watt
    ,tc
    ,battery
}mode;

typedef enum
{
    plus
    ,minus
    ,select
    ,potvrzeni
    ,novy_odpor        
    ,nic        
}operace;
    
    
operace operace1; //selektovani operace podle tlacítka
mode mode1 = ohm; // v jakem modu (co se prave zobrazuje) jsme //***************upraviit    
    
__bit TC_ON = 0;
__bit butt_press = 0; 
__bit butt_watch = 0;
unsigned int butt_count = 0;


void menu(void);
operace butt_sel(void);
void oper_sel(operace operace0, mode modes);
void mode_display(mode modes);

#endif	/* MENU_H */

